see

  https://www.filestack.com/docs/image-transformations

### Hierarchy

- TransformOptions

## Index

### Properties

- ascii
- blackwhite
- blur
- blur_faces
- border
- cache
- circle
- collage
- compress
- crop
- crop_faces
- detect_faces
- enchance
- flip
- flop
- modulate
- monochrome
- negative
- oil_paint
- output
- partial_blur
- partial_pixelate
- pdfconvert
- pdfinfo
- pixelate
- pixelate_faces
- polaroid
- quality
- redeye
- resize
- rotate
- rounded_corners
- security
- sepia
- sfw
- shadow
- sharpen
- store
- tags
- torn_edges
- upscale
- urlscreenshot
- video_convert
- vignette

## Properties

### Optional ascii

ascii: object | true

- Defined in lib/api/transform.ts:333

### Optional blackwhite

blackwhite: object | true

- Defined in lib/api/transform.ts:291

### Optional blur

blur: object | true

- Defined in lib/api/transform.ts:288

### Optional blur_faces

blur_faces: object

- Defined in lib/api/transform.ts:242

#### Type declaration

- ##### Optional amount?: number

- ##### Optional blur?: number

- ##### Optional buffer?: number

- ##### Optional faces?: number | string

- ##### Optional maxsize?: number

- ##### Optional minsize?: number

- ##### Optional type?: EShapeType

### Optional border

border: object | true

- Defined in lib/api/transform.ts:280

### Optional cache

cache: object

- Defined in lib/api/transform.ts:361

#### Type declaration

- ##### Optional cache?: boolean

- ##### expiry: number

### Optional circle

circle: object | true

- Defined in lib/api/transform.ts:277

### Optional collage

collage: object

- Defined in lib/api/transform.ts:320

#### Type declaration

- ##### Optional color?: string

- ##### files: [string]

- ##### Optional fit?: EFitOptions

- ##### Optional height?: number

- ##### Optional margin?: number

- ##### Optional width?: number

### Optional compress

compress: boolean

- Defined in lib/api/transform.ts:189

### Optional crop

crop: object

- Defined in lib/api/transform.ts:212

#### Type declaration

- ##### dim: [number, number, number, number]

### Optional crop_faces

crop_faces: object

- Defined in lib/api/transform.ts:226

#### Type declaration

- ##### Optional buffer?: number

- ##### Optional faces?: number | string

- ##### Optional height?: number

- ##### Optional mode?: ECropfacesType

- ##### Optional width?: number

### Optional detect_faces

detect_faces: object | true

- Defined in lib/api/transform.ts:220

### Optional enchance

enchance: boolean

- Defined in lib/api/transform.ts:191

### Optional flip

flip: boolean

- Defined in lib/api/transform.ts:188

### Optional flop

flop: boolean

- Defined in lib/api/transform.ts:190

### Optional modulate

modulate: object | true

- Defined in lib/api/transform.ts:303

### Optional monochrome

monochrome: boolean

- Defined in lib/api/transform.ts:193

### Optional negative

negative: boolean

- Defined in lib/api/transform.ts:194

### Optional oil_paint

oil_paint: object | true

- Defined in lib/api/transform.ts:300

### Optional output

output: object

- Defined in lib/api/transform.ts:347

#### Type declaration

- ##### Optional background?: string

- ##### Optional colorspace?: string

- ##### Optional compress?: boolean

- ##### Optional density?: number

- ##### Optional docinfo?: boolean

- ##### format: string

- ##### Optional page?: number

- ##### Optional pageformat?: string

- ##### Optional pageorientation?: string

- ##### Optional quality?: number

- ##### Optional secure?: boolean

- ##### Optional strip?: boolean

### Optional partial_blur

partial_blur: object

- Defined in lib/api/transform.ts:314

#### Type declaration

- ##### amount: number

- ##### Optional blur?: number

- ##### Optional objects?: [[number, number, number, number]]

- ##### Optional type?: EShapeType

### Optional partial_pixelate

partial_pixelate: object

- Defined in lib/api/transform.ts:308

#### Type declaration

- ##### Optional amount?: number

- ##### Optional blur?: number

- ##### Optional objects?: [[number, number, number, number]]

- ##### Optional type?: EShapeType

### Optional pdfconvert

pdfconvert: object

- Defined in lib/api/transform.ts:409

#### Type declaration

- ##### Optional pageformat?: string

- ##### Optional pageorientation?: string

- ##### Optional pages?: (string | number)[]

### Optional pdfinfo

pdfinfo: object | true

- Defined in lib/api/transform.ts:406

### Optional pixelate

pixelate: object | true

- Defined in lib/api/transform.ts:297

### Optional pixelate_faces

pixelate_faces: object

- Defined in lib/api/transform.ts:233

#### Type declaration

- ##### Optional amount?: number

- ##### Optional blur?: number

- ##### Optional buffer?: number

- ##### Optional faces?: number | string

- ##### Optional maxsize?: number

- ##### Optional minsize?: number

- ##### Optional type?: EShapeType

### Optional polaroid

polaroid: object | true

- Defined in lib/api/transform.ts:261

### Optional quality

quality: object

- Defined in lib/api/transform.ts:340

#### Type declaration

- ##### value: number

### Optional redeye

redeye: boolean

- Defined in lib/api/transform.ts:192

### Optional resize

resize: object

- Defined in lib/api/transform.ts:206

#### Type declaration

- ##### Optional align?: EAlignFacesOptions

- ##### Optional fit?: EFitOptions

- ##### Optional height?: number

- ##### Optional width?: number

### Optional rotate

rotate: object

- Defined in lib/api/transform.ts:215

#### Type declaration

- ##### Optional background?: string

- ##### Optional color?: string

- ##### deg: number | string

### Optional rounded_corners

rounded_corners: object | true

- Defined in lib/api/transform.ts:251

### Optional security

security: object

- Defined in lib/api/transform.ts:343

#### Type declaration

- ##### policy: string

- ##### Optional signature?: string

### Optional sepia

sepia: object | true

- Defined in lib/api/transform.ts:294

### Optional sfw

sfw: boolean

- Defined in lib/api/transform.ts:196

### Optional shadow

shadow: object | true

- Defined in lib/api/transform.ts:270

### Optional sharpen

sharpen: object | true

- Defined in lib/api/transform.ts:285

### Optional store

store: object

- Defined in lib/api/transform.ts:197

#### Type declaration

- ##### Optional access?: string

- ##### Optional base64decode?: boolean

- ##### Optional container?: string

- ##### Optional filename?: string

- ##### Optional localion?: string

- ##### Optional path?: string

- ##### Optional region?: string

### Optional tags

tags: boolean

- Defined in lib/api/transform.ts:195

### Optional torn_edges

torn_edges: object | true

- Defined in lib/api/transform.ts:266

### Optional upscale

upscale: object | true

- Defined in lib/api/transform.ts:328

### Optional urlscreenshot

urlscreenshot: object | true

- Defined in lib/api/transform.ts:397

### Optional video_convert

video_convert: object

- Defined in lib/api/transform.ts:366

#### Type declaration

- ##### Optional access?: EVideoAccess

- ##### aspect_mode: EVideoAccessMode

- ##### Optional audio_bitrate?: number

- ##### Optional audio_channels?: number

- ##### Optional audio_sample_rate?: number

- ##### Optional clip_length?: string

- ##### Optional clip_offset?: string

- ##### Optional container?: string

- ##### Optional extname?: string

- ##### Optional filename?: string

- ##### Optional force?: boolean

- ##### Optional fps?: number

- ##### Optional height?: number

- ##### Optional keyframe_interval?: number

- ##### Optional location?: EVideoLocations

- ##### Optional path?: string

- ##### Optional preset?: EVideoTypes

- ##### Optional title?: string

- ##### Optional two_pass?: boolean

- ##### upscale: boolean

- ##### Optional video_bitrate?: number

- ##### Optional watermark_bottom?: number

- ##### Optional watermark_height?: number

- ##### Optional watermark_left?: number

- ##### Optional watermark_right?: number

- ##### Optional watermark_top?: number

- ##### Optional watermark_url?: string

- ##### Optional watermark_width?: number

- ##### Optional width?: number

### Optional vignette

vignette: object

- Defined in lib/api/transform.ts:256

#### Type declaration

- ##### Optional amount?: number

- ##### Optional background?: string

- ##### Optional blurmode?: EBlurMode